function mpc = master
%% MATPOWER Case Format : Version 2
mpc.version = '2';

%%-----  Power Flow Data  -----%%
%% system MVA base
mpc.baseMVA = 50;

%% bus data
%	bus_i	type	Pd	Qd	Gs	Bs	area	Vm	Va	baseKV	zone    Vmax    Vmin
mpc.bus = [
    1   3  0   0   0   0   1   1  0   22  1   1.05    0.95;
    2   1   2.5   0.833   0   0   1   1   0   22  1   1.05     0.95;
    3   1   0   0   0   0   1   1   0   22  1   1.05     0.95;
    4   1   2.5   0.833   0   0   1   1   0   22  1   1.05     0.95;
    5   1  0   0   0   0   1   1  0   22  1   1.05    0.95;
];

%% generator data
%	bus	Pg	Qg	Qmax	Qmin	Vg	mBase	status	Pmax	Pmin	Pc1	Pc2	Qc1min	Qc1max	Qc2min	Qc2max	ramp_agc	ramp_10	ramp_30	ramp_q	apf
mpc.gen = [
    1	0	0	100	-100	1	50	1	50	-50	0	0	0	0	0	0	0	0	0	0	0;
    3	5	0   50	-50	1	5	1	5	5	0	5	-2	5	-2	2	0	0	0	0	0;
	5	5	0	50	-50	1	5	1	5	5	0	5	-2	5	-2	2	0	0	0	0	0;

];

%% branch data
%	fbus	tbus	r	x	b	rateA	rateB	rateC	ratio	angle	status	angmin	angmax
mpc.branch = [
	1	2	0.186	0.196 0 150	150	150	0	0	1	-360	360;
	2	3	0.186	0.196 0	150	150	150	0	0	1	-360	360;
	3	4	0.186	0.196 0	150	150	150	0	0	1	-360	360;
	4	5	0.186	0.196 0 150	150	150	0	0	1	-360	360;
  ]; 

%%-----  OPF Data  -----%%
%% area data
%	area	refbus
mpc.areas = [
	1	1;
];

%% generator cost data
%	1	startup	shutdown	n	x1	y1	...	xn	yn
%	2	startup	shutdown	n	c(n-1)	...	c0
mpc.gencost = [
	2  0     0     3     0     100 0;
    2  0     0     3     0     100 0;
    2  0     0     3     0     100 0;

];
  